Transaction Event Log
GET/rest/transactions/{transaction_id}/log
/rest/transactions/{transaction_id}/logUse this endpoint to receive event logs for the requested transaction. Please note that not all attributes are applicable for all event types. For instance, postback events do not use amount, so the amount is stored as zero.
Execution date is for informative purposes only and can be entered when calling certain invoice operations (authorize, capture, reverse and refund).
Query Parameters
transaction_idStringrequiredID of the transaction whose event logs you want to retrieve. Appended to the URL path
Example Request
GET /rest/transactions/07c8b0a4-186f-4b56-a929-17d13b29c695/log
Event Log Response
Response will include a collection of JSON objects.
created_atStringTimestamp when the event was created (
ISO-8601)typeStringType of event (e.g.,
precheck, authorization, postback, reauthorization, capture, refund, reversal)statusIntegerStatus code of the event
amountFloatAmount associated with the event. Zero for events that do not involve an amount (e.g., postback)
execution_dateStringDate of the event execution (
YYYY-MM-DD), if applicablemessageStringDescriptive message about the event
Example Response
[
{
"created_at": "2021-04-15T11:51:41.793+02:00",
"type": "precheck",
"status": 1,
"amount": 0,
"execution_date": null,
"message": "Risk checks waived: no checkout flows defined."
},
{
"created_at": "2021-04-15T11:51:41.821+02:00",
"type": "authorization",
"status": 2,
"amount": 15.9,
"execution_date": "2021-04-12",
"message": null
},
{
"created_at": "2021-04-15T11:51:42.635+02:00",
"type": "postback",
"status": 2,
"amount": 0,
"execution_date": null,
"message": "Transaction 445 postback completed successfully."
},
{
"created_at": "2021-04-15T11:53:49.405+02:00",
"type": "reauthorization",
"status": 2,
"amount": 20,
"execution_date": "2021-04-15",
"message": "Amount changed"
}
]